View Revisions: Issue #4456

Summary 0004456: Regression : Part.Plane.Intersect do not accept plane as argument
Revision 2020-10-09 20:30 by CyrilWaechter
Description Forum thread
There is apparently a regression with intersect. It does not accept anymore a plane as argument :

  • Using my build on commit 2a510a23b480a24bac424383a663200e2c293f10 doesn't work :
  • >>> pl1 = Part.Plane()
    >>> pl2 = Part.Plane(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(1, 0, 0))
    >>> pl1.intersect(pl2)
    Traceback (most recent call last):
      File "<input>", line 1, in <module>
    TypeError: argument 1 must be Part.Curve, not Part.Plane

  • Using my build on commit f09d48d0fe00590997b88b52b610210ac606951c works :
  • >>> pl1 = Part.Plane()
    >>> pl2 = Part.Plane(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(1, 0, 0))
    >>> pl1.intersect(pl2)
    [<Line object>]
Revision 2020-10-09 20:28 by CyrilWaechter
Description Forum thread
There is apparently a regression with intersect. It does not accept anymore a plane as argument :

  • Using my build on commit 2a510a23b480a24bac424383a663200e2c293f10 doesn't work :
  • >>> pl1 = Part.Plane()
    >>> pl2 = Part.Plane(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(1, 0, 0))
    >>> pl1.intersect(pl2)
    Traceback (most recent call last):
      File "<input>", line 1, in <module>
    TypeError: argument 1 must be Part.Curve, not Part.Plane

  • Using my build on commit f09d48d0fe00590997b88b52b610210ac606951c works :
  • >>> pl1 = Part.Plane()
    >>> pl2 = Part.Plane(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(1, 0, 0))
    >>> pl1.intersect(pl2)
    [<Line object>]